<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

final class CParcelShop2InfoArray
{
    /**
     * @var \Gls\GlsPoland\AdePlus\ParcelShop\CParcelShop2Info
     */
    private $items;

    public function getItems(): CParcelShop2Info
    {
        return $this->items;
    }

    public function withItems(CParcelShop2Info $items): CParcelShop2InfoArray
    {
        $new = clone $this;
        $new->items = $items;

        return $new;
    }
}
